Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158619 - Package not listed in /base/comps.xml
Summary: Package not listed in /base/comps.xml
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: comps
Version: 3
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Elliot Lee
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-24 06:30 UTC by Jerry Vonau
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-10 17:33:22 UTC


Attachments (Terms of Use)

Description Jerry Vonau 2005-05-24 06:30:14 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 95)

Description of problem:
The only rpm that requires "which" is "xinitrc", Fedora doesn't list "which" in the /base/comps.xml, but the rpm is available. In short, if you didn't install X, "which" is not installed, without being in the comps.xml you don't have an option to add it at install time. You could run rpm/up2date/yum/apt later to install it, but it should be listed as an option at install time. 

Version-Release number of selected component (if applicable):
which-2.16-4

How reproducible:
Always

Steps to Reproduce:
1. don't slect X during install.
2. try to add "which" during install
3.
  

Actual Results:  not found

Expected Results:  should be listed somewhere, as available to install.

Additional info:

"which" is not listed in any group. Maybe add it to the base group as optional and make base viewable. Maybe a misc group for these kind of packages that are not part of either core or base groups, but other packages require them.

Comment 1 Elliot Lee 2005-06-10 17:33:22 UTC
It appears as if 'which' is already part of the 'base' group in FC4.


Note You need to log in before you can comment on or make changes to this bug.